﻿module("VOICE")

distances = {}

distances.patterns = {
	L"100_kilometers",
	L"100_kilometers_drive",
	L"100_miles",
	L"100_miles_drive",
	L"10_kilometers",
	L"10_kilometers_drive",
	L"10_miles",
	L"10_miles_drive",
	L"150_kilometers",
	L"150_kilometers_drive",
	L"1_kilometer",
	L"1_kilometer_drive",
	L"1_mile",
	L"1_mile_drive",
	L"1point5_kilometers",
	L"1point5_kilometers_drive",
	L"200_kilometers",
	L"200_kilometers_drive",
	L"200_miles",
	L"200_miles_drive",
	L"20_kilometers",
	L"20_kilometers_drive",
	L"20_miles",
	L"20_miles_drive",
	L"250_kilometers",
	L"250_kilometers_drive",
	L"2_kilometers",
	L"2_kilometers_drive",
	L"2_miles",
	L"2_miles_drive",
	L"300_kilometers",
	L"300_kilometers_drive",
	L"300_miles",
	L"300_miles_drive",
	L"30_kilometers",
	L"30_kilometers_drive",
	L"30_miles",
	L"30_miles_drive",
	L"350_kilometers",
	L"350_kilometers_drive",
	L"3_kilometers",
	L"3_kilometers_drive",
	L"3_miles",
	L"3_miles_drive",
	L"400_kilometers",
	L"400_kilometers_drive",
	L"400_miles",
	L"400_miles_drive",
	L"40_kilometers",
	L"40_kilometers_drive",
	L"40_miles",
	L"40_miles_drive",
	L"450_kilometers",
	L"450_kilometers_drive",
	L"4_kilometers",
	L"4_kilometers_drive",
	L"4_miles",
	L"4_miles_drive",
	L"500_kilometers",
	L"500_kilometers_drive",
	L"500_miles",
	L"500_miles_drive",
	L"50_kilometers",
	L"50_kilometers_drive",
	L"50_miles",
	L"50_miles_drive",
	L"5_kilometers",
	L"5_kilometers_drive",
	L"5_miles",
	L"5_miles_drive",
	L"60_kilometers",
	L"60_kilometers_drive",
	L"60_miles",
	L"60_miles_drive",
	L"6_kilometers",
	L"6_kilometers_drive",
	L"6_miles",
	L"6_miles_drive",
	L"70_kilometers",
	L"70_kilometers_drive",
	L"70_miles",
	L"70_miles_drive",
	L"7_kilometers",
	L"7_kilometers_drive",
	L"7_miles",
	L"7_miles_drive",
	L"80_kilometers",
	L"80_kilometers_drive",
	L"80_miles",
	L"80_miles_drive",
	L"8_kilometers",
	L"8_kilometers_drive",
	L"8_miles",
	L"8_miles_drive",
	L"90_kilometers",
	L"90_kilometers_drive",
	L"90_miles",
	L"90_miles_drive",
	L"9_kilometers",
	L"9_kilometers_drive",
	L"9_miles",
	L"9_miles_drive",
	L"in_100_meters",
	L"in_150_meters",
	L"in_160_yards",
	L"in_1_kilometer",
	L"in_1_mile",
	L"in_1point5_kilometers",
	L"in_200_feet",
	L"in_200_meters",
	L"in_200_yards",
	L"in_250_meters",
	L"in_2_kilometers",
	L"in_2_miles",
	L"in_300_feet",
	L"in_300_meters",
	L"in_300_yards",
	L"in_3_kilometers",
	L"in_3_miles",
	L"in_3_quarter_mile",
	L"in_400_feet",
	L"in_400_meters",
	L"in_500_feet",
	L"in_500_meters",
	L"in_50_meters",
	L"in_50_yards",
	L"in_600_feet",
	L"in_600_meters",
	L"in_700_feet",
	L"in_700_meters",
	L"in_800_feet",
	L"in_800_meters",
	L"in_900_feet",
	L"in_900_meters",
	L"in_half_mile",
	L"in_quarter_mile",
	L"trip",
}

distances.meters = {
	0, "\125\0\0\0",
	50, "\125\0\0\0",
	100, "\103\0\0\0",
	150, "\104\0\0\0",
	200, "\110\0\0\0",
	250, "\112\0\0\0",
	300, "\116\0\0\0",
	400, "\122\0\0\0",
	500, "\124\0\0\0",
	600, "\129\0\0\0\0",
	700, "\129\2\0\0\0",
	800, "\129\4\0\0\0",
	900, "\129\6\0\0\0",
	1000, "\106\0\12\0\129\9\11\0",
	1500, "\108\0\16\0\129\9\15\0",
	2000, "\113\0\28\0\129\9\27\0",
	3000, "\118\0\42\0\129\9\41\0",
	4000, "\56\0\56\0\129\9\55\0",
	5000, "\68\0\68\0\129\9\67\0",
	6000, "\76\0\76\0\129\9\75\0",
	7000, "\84\0\84\0\129\9\83\0",
	8000, "\92\0\92\0\129\9\91\0",
	9000, "\100\0\100\0\129\9\99\0",
	10000, "\6\0\6\0\129\9\5\0",
	20000, "\22\0\22\0\129\9\21\0",
	30000, "\36\0\36\0\129\9\35\0",
	40000, "\50\0\50\0\129\9\49\0",
	50000, "\64\0\64\0\129\9\63\0",
	60000, "\72\0\72\0\129\9\71\0",
	70000, "\80\0\80\0\129\9\79\0",
	80000, "\88\0\88\0\129\9\87\0",
	90000, "\96\0\96\0\129\9\95\0",
	100000, "\2\0\2\0\129\9\1\0",
	150000, "\10\0\10\0\129\9\9\0",
	200000, "\18\0\18\0\129\9\17\0",
	250000, "\26\0\26\0\129\9\25\0",
	300000, "\32\0\32\0\129\9\31\0",
	350000, "\40\0\40\0\129\9\39\0",
	400000, "\46\0\46\0\129\9\45\0",
	450000, "\54\0\54\0\129\9\53\0",
	500000, "\60\0\60\0\129\9\59\0",
}

distances.feet = {
	0, "\109\0\0\0",
	61, "\109\0\0\0",
	91, "\115\0\0\0",
	122, "\121\0\0\0",
	152, "\123\0\0\0",
	183, "\127\0\0\0",
	213, "\129\1\0\0\0",
	244, "\129\3\0\0\0",
	274, "\129\5\0\0\0",
	402, "\129\8\0\0\0",
	805, "\129\7\0\0\0",
	1127, "\120\0\0\0",
	1609, "\107\0\14\0\129\9\13\0",
	3219, "\114\0\30\0\129\9\29\0",
	4828, "\119\0\44\0\129\9\43\0",
	6437, "\58\0\58\0\129\9\57\0",
	8047, "\70\0\70\0\129\9\69\0",
	9656, "\78\0\78\0\129\9\77\0",
	11265, "\86\0\86\0\129\9\85\0",
	12875, "\94\0\94\0\129\9\93\0",
	14484, "\102\0\102\0\129\9\101\0",
	16093, "\8\0\8\0\129\9\7\0",
	32187, "\24\0\24\0\129\9\23\0",
	48280, "\38\0\38\0\129\9\37\0",
	64374, "\52\0\52\0\129\9\51\0",
	80467, "\66\0\66\0\129\9\65\0",
	96561, "\74\0\74\0\129\9\73\0",
	112654, "\82\0\82\0\129\9\81\0",
	128748, "\90\0\90\0\129\9\89\0",
	144841, "\98\0\98\0\129\9\97\0",
	160934, "\4\0\4\0\129\9\3\0",
	321869, "\20\0\20\0\129\9\19\0",
	482803, "\34\0\34\0\129\9\33\0",
	643738, "\48\0\48\0\129\9\47\0",
	804672, "\62\0\62\0\129\9\61\0",
}

distances.yards = {
	0, "\126\0\0\0",
	46, "\126\0\0\0",
	146, "\105\0\0\0",
	183, "\111\0\0\0",
	274, "\117\0\0\0",
	402, "\129\8\0\0\0",
	805, "\129\7\0\0\0",
	1127, "\120\0\0\0",
	1609, "\107\0\14\0\129\9\13\0",
	3219, "\114\0\30\0\129\9\29\0",
	4828, "\119\0\44\0\129\9\43\0",
	6437, "\58\0\58\0\129\9\57\0",
	8047, "\70\0\70\0\129\9\69\0",
	9656, "\78\0\78\0\129\9\77\0",
	11265, "\86\0\86\0\129\9\85\0",
	12875, "\94\0\94\0\129\9\93\0",
	14484, "\102\0\102\0\129\9\101\0",
	16093, "\8\0\8\0\129\9\7\0",
	32187, "\24\0\24\0\129\9\23\0",
	48280, "\38\0\38\0\129\9\37\0",
	64374, "\52\0\52\0\129\9\51\0",
	80467, "\66\0\66\0\129\9\65\0",
	96561, "\74\0\74\0\129\9\73\0",
	112654, "\82\0\82\0\129\9\81\0",
	128748, "\90\0\90\0\129\9\89\0",
	144841, "\98\0\98\0\129\9\97\0",
	160934, "\4\0\4\0\129\9\3\0",
	321869, "\20\0\20\0\129\9\19\0",
	482803, "\34\0\34\0\129\9\33\0",
	643738, "\48\0\48\0\129\9\47\0",
	804672, "\62\0\62\0\129\9\61\0",
}

ordinals = {
	{L"1st", L"1stb", nil},
	{L"2nd", L"2ndb", nil},
	{L"3rd", L"3rdb", nil},
	{L"4th", L"4thb", nil},
	{L"5th", L"5thb", nil},
	{L"6th", L"6thb", nil},
	{L"7th", L"7thb", nil},
	{L"8th", L"8thb", nil},
	{L"9th", L"9thb", nil},
}

